Parent not visible unless 'Edit' is clicked
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 2.3.3

Description

0) Create a task A, and a task B.

1) Click Edit on Task B and set the task ID to the ID of task A. Save.

2) Observe that task A shows task B as a SubTask

3) Observe that the normal (not 'edit) view of Task B gives no indication that it has its parent id set.

4) Click edit on task B and you can see parent ID set.

I expect that if a parent ID for a task that it is visible in some way.

History

#1 - 2015-04-10 17:10 - Brian Bouterse

The last sentence should read. "I expect that if a parent ID for a task is set, that it is visible in some way without clicking 'Edit'."

#2 - 2015-04-10 17:23 - Barnaby Court

+1 this would be very helpful!

#3 - 2015-04-10 17:48 - Brian Bouterse

After much more searching we discovered that over the issue title, any parent task titles are also shown in tiny font. This is a UI issue then because

that is not a good place for that info. The parent ID is a field like all other fields, so I expect it is shown as a field, near all the other fields.

#4 - 2015-04-15 15:29 - Gabe Ayers

I think this issue should be set as resolved since you found where the parent task is. Or the issue should be updated to request a change in location

of the parent task.

#5 - 2015-04-15 17:27 - Brian Bouterse

- Status changed from New to Resolved

I'm not totally happy with the UI representation, but it does work and I don't think adding more fields is a large improvement. I'm marking the issue as

resolved.

#6 - 2015-05-09 10:08 - Toshi MARUYAMA

- Status changed from Resolved to Closed
